Bug 1276120 - (CVE-2015-7972, xsa153) CVE-2015-7972 xen: populate-on-demand balloon size inaccuracy can crash guests on x86
CVE-2015-7972 xen: populate-on-demand balloon size inaccuracy can crash guest...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151029,repor...
: Security
Depends On: 1276344
Blocks: 1272534
  Show dependency treegraph
 
Reported: 2015-10-28 14:56 EDT by Fabio Olive Leite
Modified: 2015-11-09 19:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Olive Leite 2015-10-28 14:56:22 EDT
The design of the memory populate-on-demand (PoD) system requires that
a guest's memory ballooning driver reach its memory reduction target.
The target is not entirely well-defined in terms of the information
visible to the appropriate parts of the system, so some unknown set of
guests (but probably most guests) will fail this criterion.

If the guest memory balloon driver does not free sufficient memory to
reach its target, the guest will proceed to run with a nonzero number
of outstanding PoD pages.  When the guest or management toolstack
touches such a page, the hypervisor would search the guest memory for
a page containing only zeroes.

If no such page is found, the guest crashes.  Prior to the patch for
XSA-150, the search might lock up the relevant physical cpu for a
while.  After the patch to XSA-150, it might crash the guest even if a
suitable zero page is available.

This means that in the current arrangements toolstack software must
apply an adjustment to a guest's PoD target as supplied to Xen.
Neither xend nor libxl do this. Guests configured with PoD might be
unstable, especially under load.

Mitigation:

Reducing the guest's memory target, after guest startup, can cause the
guest's ballon driver to eliminate the PoD discrepancy.  If the guest
successfully balloons down, it will no longer be vulnerable.
Comment 2 Martin Prpič 2015-10-29 09:43:34 EDT
External References:

http://xenbits.xen.org/xsa/advisory-153.html
Comment 3 Martin Prpič 2015-10-29 09:51:48 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1276344]
Comment 4 Fedora Update System 2015-11-08 17:21:14 EST
xen-4.5.1-14.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-11-09 19:22:29 EST
xen-4.5.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-11-09 19:50:37 EST
xen-4.4.3-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.